import { RouteHandler } from './RouteHandler';
import { RouteHttpMethod } from './RouteHttpMethod';
export declare type TRouteArray<T extends any = any> = {
    /**
     * Method
     */
    [0]: RouteHttpMethod;
    /**
     * Path
     */
    [1]: string;
    /**
     * Route handler
     */
    [2]: RouteHandler<T>;
};
export declare type TRouteObject<T extends any = any> = {
    method: RouteHttpMethod;
    path: string;
    handler: RouteHandler<T>;
};
export declare type TRoute = TRouteArray | TRouteObject;
