import {RouteHandler} from './RouteHandler';
import {RouteHttpMethod} from './RouteHttpMethod';

export type TRouteArray<T extends any = any> = {

    /**
     * Method
     */
    [0]: RouteHttpMethod;
    /**
     * Path
     */
    [1]: string;
    /**
     * Route handler
     */
    [2]: RouteHandler<T>;

};

export type TRouteObject<T extends any = any> = {

    method: RouteHttpMethod;
    path: string;
    handler: RouteHandler<T>;

};

export type TRoute = TRouteArray | TRouteObject;
